# RNA2Dfold

RNA2Dfold - manual page for RNA2Dfold 2.7.0

## Synopsis

    RNA2Dfold [OPTION]...

## DESCRIPTION

RNA2Dfold 2.7.0

Compute MFE structure, partition function and representative sample structures of k,l neighborhoods

The program partitions the secondary structure space into (basepair)distance classes according to two fixed reference structures. It expects a sequence and two secondary structures in dot-bracket notation as its inputs. For each distance class, the MFE representative, Boltzmann probabilities and Gibbs free energy is computed. Additionally, a stochastic backtracking routine allows one to produce samples of representative suboptimal secondary structures from each partition

-h, --help

  Print help and exit

--detailed-help

  Print help, including all details and hidden options, and exit

--full-help

  Print help, including hidden options, and exit

-V, --version

  Print version and exit

-v, --verbose

  Be verbose. (default=off)

  Lower the log level setting such that even INFO messages are passed through.

### I/O Options:

> Command line options for input and output (pre-)processing

-j, --numThreads=INT

  Set the number of threads used for calculations (only available when compiled with OpenMP support)

--noconv

  Do not automatically substitute nucleotide “T” with “U”.

  (default=off)

--log-level=level

  Set log level threshold. (default=”2”)

  By default, any log messages are filtered such that only warnings (level 2) or errors (level 3) are printed. This setting allows for specifying the log level threshold, where higher values result in fewer information. Log-level 5 turns off all messages, even errors and other critical information.

--log-file[=filename]

  Print log messages to a file instead of stderr. (default=”RNA2Dfold.log”)

--log-time

  Include time stamp in log messages.

  (default=off)

--log-call

  Include file and line of log calling function.

  (default=off)

### Algorithms:

> Select additional algorithms which should be included in the calculations. The Minimum free energy (MFE) and a structure representative are calculated in any case.

-p, --partfunc

  calculate partition function and thus, Boltzmann probabilities and Gibbs free energy

  (default=off)

--stochBT=INT

  backtrack a certain number of Boltzmann samples from the appropriate k,l neighborhood(s)

--neighborhood=<k>:<l>

  backtrack structures from certain k,l-neighborhood only, can be specified multiple times (<k>:<l>,<m>:<n>,…)

-K, --maxDist1=INT

  maximum distance to first reference structure

  If this value is set all structures that exhibit a basepair distance greater than maxDist1 will be thrown into a distance class denoted by K=L=-1

-L, --maxDist2=INT

  maximum distance to second reference structure

  If this value is set all structures that exhibit a basepair distance greater than maxDist1 will be thrown into a distance class denoted by K=L=-1

-S, --pfScale=DOUBLE

  In the calculation of the pf use scale*mfe as an estimate for the ensemble free energy (used to avoid overflows).

  (default=”1.07”)

  The default is 1.07, useful values are 1.0 to 1.2. Occasionally needed for long sequences.

--noBT

  do not backtrack structures, calculate energy contributions only

  (default=off)

-c, --circ

  Assume a circular (instead of linear) RNA molecule.

  (default=off)

### Energy Parameters:

> Energy parameter sets can be adapted or loaded from user-provided input files

-T, --temp=DOUBLE

  Rescale energy parameters to a temperature of temp C. Default is 37C.

  (default=”37.0”)

-P, --paramFile=paramfile

  Read energy parameters from paramfile, instead of using the default parameter set.

  Different sets of energy parameters for RNA and DNA should accompany your distribution. See the RNAlib documentation for details on the file format. The placeholder file name `DNA` can be used to load DNA parameters without the need to actually specify any input file.

-4, --noTetra

  Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins.

  (default=off)

  Mostly for testing.

--salt=DOUBLE

  Set salt concentration in molar (M). Default is 1.021M.

### Model Details:

> Tweak the energy model and pairing rules additionally using the following parameters

-d, --dangles=INT

  How to treat “dangling end” energies for bases adjacent to helices in free ends and multi-loops

  (possible values=”0”, “2” default=”2”)

  With `-d2` dangling energies will be added for the bases adjacent to a helix on both sides in any case. The option `-d0` ignores dangling ends altogether (mostly for debugging).

--noGU

  Do not allow GU pairs.

  (default=off)

--noClosingGU

  Do not allow GU pairs at the end of helices.

  (default=off)

--helical-rise=FLOAT

  Set the helical rise of the helix in units of Angstrom.

  (default=”2.8”)

  Use with caution! This value will be re-set automatically to 3.4 in case DNA parameters are loaded via `-P` DNA and no further value is provided.

--backbone-length=FLOAT

  Set the average backbone length for looped regions in units of Angstrom.

  (default=”6.0”)

  Use with caution! This value will be re-set automatically to 6.76 in case DNA parameters are loaded via `-P` DNA and no further value is provided.

## REFERENCES

If you use this program in your work you might want to cite:

R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), “ViennaRNA Package 2.0”, Algorithms for Molecular Biology: 6:26

I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), “Fast Folding and Comparison of RNA Secondary Structures”, Monatshefte f. Chemie: 125, pp 167-188

R. Lorenz, I.L. Hofacker, P.F. Stadler (2016), “RNA folding with hard and soft constraints”, Algorithms for Molecular Biology 11:1 pp 1-13

R. Lorenz, C. Flamm, I.L. Hofacker (2009), “2D Projections of RNA folding Landscapes”, GI, Lecture Notes in Informatics, German Conference on Bioinformatics 2009: 157, pp 11-20

M. Zuker, P. Stiegler (1981), “Optimal computer folding of large RNA sequences using thermodynamic and auxiliary information”, Nucl Acid Res: 9, pp 133-148

J.S. McCaskill (1990), “The equilibrium partition function and base pair binding probabilities for RNA secondary structures”, Biopolymers: 29, pp 1105-1119

I.L. Hofacker and P.F. Stadler (2006), “Memory Efficient Folding Algorithms for Circular RNA Secondary Structures”, Bioinformatics

D. Adams (1979), “The hitchhiker’s guide to the galaxy”, Pan Books, London

The calculation of mfe structures is based on dynamic programming algorithm originally developed by M. Zuker and P. Stiegler. The partition function algorithm is based on work by J.S. McCaskill.

The energy parameters are taken from:

D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), “Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure”, Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292

D.H Turner, D.H. Mathews (2009), “NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure”, Nucleic Acids Research: 38, pp 280-282

## AUTHOR

Ronny Lorenz

## REPORTING BUGS

If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.